Name:           jboss-parent
Version:        20
Release:        %mkrel 4
Group:          Development/Java
Summary:        JBoss Parent POM
License:        CC0
URL:            https://www.jboss.org/
BuildArch:      noarch

Source0:        https://github.com/jboss/jboss-parent-pom/archive/%{name}-%{version}.tar.gz
Source1:        https://repository.jboss.org/licenses/cc0-1.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)

%description
The Project Object Model files for JBoss packages.

%prep
%setup -q -n %{name}-pom-%{name}-%{version}

# NOT available plugins
%pom_remove_plugin :maven-clover2-plugin
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :javancss-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :sonar-maven-plugin

cp -p %SOURCE1 LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 20-4.mga9
+ Revision: 1827354
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 20-3.mga8
+ Revision: 1506253
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20-2.mga7
+ Revision: 1262198
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 20-1.mga6
+ Revision: 1101692
- New version 20
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 11-7.mga6
+ Revision: 976470
- First rebuild of the java stack
- sync package jboss-parent with fedora
- imported package jboss-parent

* Wed Oct 15 2014 umeabot <umeabot> 11-4.mga5
+ Revision: 743598
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 11-2.mga4
+ Revision: 541950
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 11-1.mga4
+ Revision: 496582
- New version

* Sat Jan 12 2013 umeabot <umeabot> 6-3.mga3
+ Revision: 355118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 6-2.mga2
+ Revision: 192637
- Do not use old maven macros anymore
- Fix groups
+ gil <gil>
- edit spec file used new %%add_maven_depmap macro
- update to 6
- edit spec file
- fix error
- fix error
- imported package jboss-parent

